Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::cpp20_copy_fn Struct Reference
Algorithms
Inheritance diagram for ranges::cpp20_copy_fn:

## Public Member Functions
template<typename I , typename S , typename O >
constexpr auto | operator() (I begin, S end, O out) const -> copy_result< I, O > requires input_iterator< I > &&sentinel_for< S, I > &&weakly_incrementable< O > &&indirectly_copyable< I, O >
template<typename Rng , typename O >
constexpr auto | operator() (Rng &&rng, O out) const -> copy_result< safe_iterator_t< Rng >, O > requires input_range< Rng > &&weakly_incrementable< O > &&indirectly_copyable< iterator_t< Rng >, O >